Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.contrib.ocr
Class OcrHelper

    java.lang.Object
      org.neuroph.contrib.imgrec.ImageRecognitionHelper
          org.neuroph.contrib.ocr.OcrHelper

    public class OcrHelper

extends ImageRecognitionHelper

Provides methods to create Neural Network and Training set for OCR.

Constructor Summary
`OcrHelper()`

Method Summary
`static NeuralNetwork` | `createNewNeuralNetwork(java.lang.String label, java.awt.Dimension samplingResolution, ColorMode colorMode, java.util.List<java.lang.String> characterLabels, java.util.Vector<java.lang.Integer> layersNeuronsCount, TransferFunctionType transferFunctionType)` Creates neural network for OCR, which contains OCR plugin.

Methods inherited from class org.neuroph.contrib.imgrec.ImageRecognitionHelper
`createBlackAndWhiteTrainingSet, createTrainingSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OcrHelper

    public OcrHelper()

Method Detail

### createNewNeuralNetwork

    public static NeuralNetwork createNewNeuralNetwork(java.lang.String label,
                                                       java.awt.Dimension samplingResolution,
                                                       ColorMode colorMode,
                                                       java.util.List<java.lang.String> characterLabels,
                                                       java.util.Vector<java.lang.Integer> layersNeuronsCount,
                                                       TransferFunctionType transferFunctionType)

  Creates neural network for OCR, which contains OCR plugin. OCR plugin provides interface for character recognition.

  Parameters:
    `label` - neural network label
    `samplingResolution` - character size in pixels (all characters will be scaled to this dimensions during recognition)
    `colorMode` - color mode used fr recognition
    `characterLabels` - character labels for output neurons
    `layersNeuronsCount` - number of neurons ih hidden layers
    `transferFunctionType` - neurons transfer function type
  Returns:
    returns NeuralNetwork with the OCR plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD